<?php

namespace app\adminapi\controller;

use think\facade\Db;

class CommonController extends BaseAdminController
{
    public array $notNeedLogin = ['city', 'area', 'street','village','brigade'];

    //**省列表 */
    public function province()
    {
        $data = Db::name('geo_province')->where(['switch' => 1])->select();
        return $this->data($data->toArray());
    }    //**市列表 */
    public function city($city)
    {
        $data = Db::name('geo_city')->where(['province_code' => $city])->select();
        return $this->data($data->toArray());
    }
    //**区域列表 */
    public function area($area)
    {
        $data = Db::name('geo_county')->where(['city_code' => $area])->select();
        return $this->data($data->toArray());
    }
    //**街道列表 */
    public function street($street)
    {
        $data = Db::name('geo_town')->where(['county_code' => $street])->select();
        return $this->data($data->toArray());
    }
        //**村列表 */
    public function village($village)
    {
        $data = Db::name('geo_village')->where(['town_code' => $village])->select();
        return $this->data($data->toArray());
    }
    //**小队列表 */
    public function brigade()
    {
        $data = Db::name('geo_group')->select();
        return $this->data($data->toArray());
    }
}
